package de.ozgcloud.admin.organisationseinheit;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import de.ozgcloud.admin.keycloak.AddGroupData;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;

@Mapper
interface OrganisationsEinheitMapper {

	@Mapping(target = "organisationsEinheitId", source = "xzufiId.id")
	@Mapping(target = "zufiId", source = "id")
	OrganisationsEinheit fromGrpc(GrpcOrganisationsEinheit grpcOrganisationsEinheit);

	AddGroupData toAddGroupData(OrganisationsEinheit organisationsEinheit);
}
