package de.ozgcloud.admin.setting;

import java.util.stream.Stream;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheit;

@Repository
interface OrganisationsEinheitSettingsRepository extends MongoRepository<OrganisationsEinheit, String> {

	@Query("{'settings': { $nin: [null,{}] } }")
	Stream<OrganisationsEinheitWithSettings> getSettings();
}
