package de.ozgcloud.admin.keycloak;

public class AddGroupDataTestFactory {

	public static final String NAME = GroupRepresentationTestFactory.NAME;
	public static final String ORGANISATIONS_EINHEIT_ID = GroupRepresentationTestFactory.ORGANISATIONS_EINHEIT_ID;

	public static AddGroupData create() {
		return createBuilder().build();
	}

	public static AddGroupData.AddGroupDataBuilder createBuilder() {
		return new AddGroupData.AddGroupDataBuilder()
				.name(NAME)
				.organisationsEinheitId(ORGANISATIONS_EINHEIT_ID);
	}
}
