package de.ozgcloud.admin.organisationseinheit;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcGetByOrganisationsEinheitIdResponse;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;

public class GrpcGetByOrganisationsEinheitIdResponseTestFactory {

	public static final GrpcOrganisationsEinheit GRPC_ORGANISATIONS_EINHEIT = GrpcOrganisationsEinheitTestFactory.create();

	public static GrpcGetByOrganisationsEinheitIdResponse create() {
		return createBuilder().build();
	}

	public static GrpcGetByOrganisationsEinheitIdResponse.Builder createBuilder() {
		return GrpcGetByOrganisationsEinheitIdResponse.newBuilder()
				.addOrganisationsEinheiten(GRPC_ORGANISATIONS_EINHEIT);
	}
}
