package de.ozgcloud.admin.setting;

import static de.ozgcloud.admin.setting.AlfaSettingDTOTestFactory.*;

import de.ozgcloud.admin.setting.postfach.AbsenderVorgangManager;
import de.ozgcloud.admin.setting.postfach.AbsenderVorgangManagerTestFactory;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBodyTestFactory;

public class VorgangManagerSettingDTOTestFactory {
	public static final AbsenderVorgangManager ABSENDER = AbsenderVorgangManagerTestFactory.create();
	public static final String SIGNATUR = PostfachSettingBodyTestFactory.SIGNATUR;

	public static VorgangManagerSettingDTO create() {
		return createBuilder().build();
	}

	public static VorgangManagerSettingDTO.VorgangManagerSettingDTOBuilder createBuilder() {
		return VorgangManagerSettingDTO.builder()
				.absender(ABSENDER)
				.signatur(SIGNATUR)
				.organisationsEinheitSettings(organisationsEinheitSettings);
	}
}
