package de.ozgcloud.admin.setting;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitSettingsTestFactory;
import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitTestFactory;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBody;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBodyTestFactory;
import de.ozgcloud.common.test.TestUtils;

public class YamlTestFactory {

	public static final PostfachSettingBody POSTFACH = PostfachSettingBodyTestFactory.create();

	public static String createVorgangManagerYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/vorgangManager.yaml.tmpl",
				POSTFACH.getAbsender().getName(),
				POSTFACH.getAbsender().getAnschrift(),
				POSTFACH.getAbsender().getDienst(),
				POSTFACH.getAbsender().getMandant(),
				POSTFACH.getAbsender().getGemeindeschluessel(),
				POSTFACH.getSignatur(),
				OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID,
				OrganisationsEinheitSettingsTestFactory.SIGNATUR);
	}

	public static String createAlfaYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/alfa.yaml.tmpl",
				POSTFACH.getSignatur(),
				OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID,
				OrganisationsEinheitSettingsTestFactory.SIGNATUR);
	}
}
