package de.ozgcloud.admin;

import org.springframework.context.annotation.Configuration;
import org.springframework.data.rest.core.config.RepositoryRestConfiguration;
import org.springframework.data.rest.webmvc.config.RepositoryRestConfigurer;
import org.springframework.hateoas.server.core.DefaultLinkRelationProvider;
import org.springframework.web.servlet.config.annotation.CorsRegistry;

@Configuration
public class AdministrationRepositoryRestConfigurer implements RepositoryRestConfigurer {

	@Override
	public void configureRepositoryRestConfiguration(RepositoryRestConfiguration config, CorsRegistry cors) {
		config.setLinkRelationProvider(new DefaultLinkRelationProvider());
	}
}
