package de.ozgcloud.admin.setting;

import java.util.HashMap;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitSettings;
import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
class AlfaSettingDTO implements ApplicationSettingDTO {

	@JsonProperty("ozgcloud.postfach.signatur")
	@Builder.Default
	private String signatur = "";

	@JsonProperty("ozgcloud.postfach.organisationsEinheitSettings")
	@Builder.Default
	private Map<String, OrganisationsEinheitSettings> organisationsEinheitSettings = new HashMap<>();
}
